# CS 349 A3 - Gallery, But Worse (aka Fotag!)

This is a simple gallery-esque app to load in and view photos, and add ratings to them. You can also toggle filters for images greater than or equal to a given rating (out of 5 stars). You can toggle between a spacious list layout, or a more condensed grid layout.

## Getting Started
**Notes**
 - Image size/aspect ratio: all images are scaled to a square aspect ratio, although any can be selected
 - Images should be in a format compatible with https://docs.oracle.com/javase/10/docs/api/java/awt/Image.html on your system.
 - This was built and tested on Debian Stretch using XFCE with Gradle 4.7 and openJDK 10.0.1
 - That being said, given what I've seen, these tend to look better on "fancier" OSes/window managers.
 - Load/Save is as instructed: loads/saves images/metadata as long as the filepath is the same. Other data such as ratings is not retained.

**Controls**
 - Layout: Click the grid or list icon in the top left to switch to that view
 - Filtering by Rating: In the top bar, click on the amount of stars you wish to be the minimum, or click the current selection to reset to zero.
 - Rating an Image: Use the same system as above
 - Viewing a popout image: simply click on an image to open a popup view of it, then simply close it like any window to dismiss it.

## Deployment

Run "java Main" in build/classes/java/main, or "./gradlew run" in the root directory if you do not have gradle installed, and if you do "gradle run" should suffice.

## Authors

* **Tareef Dedhar** - *All work*
